# MTSCRA Interfaces

#### MTCardData

```
@interface MTCardData : NSObject 
- (id)initWithCardData:(NSString*)cardData; 
/*! 
    @attribute cardIIN 
    @discussion cardIIN is 6 digits of the account, usually can help to identify the issuer 
*/ 
@property(nonatomic, strong) NSString *cardIIN; 
/*! 
    @attribute cardData 
    @discussion track1 | track2 | track3 
*/ 
@property(nonatomic, strong) NSString *cardData; 
/*! 
    @attribute cardLast4 
    @discussion last 4 digits of account, usually can help user to identify him/her self 
*/ 
@property(nonatomic, strong) NSString *cardLast4; 
/*! 
    @attribute cardName 
    @discussion card holder name 
*/ 
@property(nonatomic, strong) NSString *cardName; 

@property (strong, nonatomic) NSString *cardLastName; 
@property (strong, nonatomic) NSString *cardMiddleName; 
@property (strong, nonatomic) NSString *cardFirstName; 

@property(nonatomic, strong) NSString *cardExpDate; 
@property(nonatomic, strong) NSString *cardServiceCode; 
@property(nonatomic, strong) NSString *cardStatus; 
@property(nonatomic, strong) NSString *responseData; 
@property(nonatomic, strong) NSString *maskedTracks; 
@property(nonatomic, strong) NSString *encryptedTrack1; 
@property(nonatomic, strong) NSString *encryptedTrack2; 
@property(nonatomic, strong) NSString *encryptedTrack3; 
@property(nonatomic, strong) NSString *encryptionStatus; 
@property(nonatomic, strong) NSString *maskedTrack1; 
@property(nonatomic, strong) NSString *maskedTrack2; 
@property(nonatomic, strong) NSString *maskedTrack3; 
@property(nonatomic, strong) NSString *trackDecodeStatus; 
@property(nonatomic, strong) NSString *encryptedMagneprint; 
@property(nonatomic, strong) NSString *magneprintStatus; 
@property(nonatomic, strong) NSString *deviceSerialNumber; 
@property(nonatomic, strong) NSString *deviceSerialNumberMagTek; 
@property(nonatomic, strong) NSString *encrypedSessionID; 
/*! 
    @attribute deviceKSN 
    @discussion Key Serial Number for the card swipe 
*/ 
@property(nonatomic, strong) NSString *deviceKSN; 
@property(nonatomic, strong) NSString *deviceFirmware; 
@property(nonatomic, strong) NSString *deviceName; 
@property(nonatomic, strong) NSString *deviceCaps; 
@property(nonatomic, strong) NSString *deviceStatus; 
@property(nonatomic, strong) NSString *tlvVersion; 
@property(nonatomic, strong) NSString *devicePartNumber; 
@property(nonatomic, strong) NSString *capMSR; 
@property(nonatomic, strong) NSString *capTracks; 
@property(nonatomic, strong) NSString *capMagStripeEncryption; 
@property(nonatomic, strong) NSString *maskedPAN; 
@property(nonatomic) long cardPANLength; 
@property(nonatomic, strong) NSString *additionalInfoTrack1; 
@property(nonatomic, strong) NSString *additionalInfoTrack2; 
@property(nonatomic, strong) NSString *responseType; 
@property(nonatomic) long batteryLevel; 
@property(nonatomic) long swipeCount; 
@property(nonatomic, strong) NSString *firmware; 
@property(nonatomic, strong) NSString *tagValue; 
@property(nonatomic) int magnePrintLength; 
@property(nonatomic) int cardType; 
@property(nonatomic, strong) NSString *cardExpDateMonth; 
@property(nonatomic, strong) NSString *cardExpDateYear; 
@property(nonatomic, strong) NSString *cardPAN; 
@property(nonatomic, strong) NSString *track1DecodeStatus; 
@property(nonatomic, strong) NSString *track2DecodeStatus; 
@property(nonatomic, strong) NSString *track3DecodeStatus; 
@property(nonatomic, strong) NSDate* timeStamp; 

@property(nonatomic, strong) NSString* messageID; 
@property(nonatomic, strong) NSString* msrDUKPTKeyInfo; // 16 bytes 
@property(nonatomic, strong) NSString* mpDUKPTKeySerialNumber; // 0/20/24 
@property(nonatomic, strong) NSString* mpDUKPTKeyInfo; // 16 bytes 
@property(nonatomic, strong) NSString* macKeyInfo; // 
16 bytes @property(nonatomic, strong) NSString* macMessageLength; 
@property(nonatomic, strong) NSString* mac; 

@property(nonatomic, strong) NSString* tokenDUKPTKeyInfo; 
@property(nonatomic, strong) NSString* tokenDUKPTKeySerialNumber; 
@property(nonatomic, strong) NSString* encryptedQwantumDataBuffer; 
@property(nonatomic, strong) NSString* qwantumStatus; 
@property(nonatomic, strong) NSString* qwantumToken; 
@property(nonatomic, strong) NSString* qwantumCardID; 

@property(nonatomic, strong) NSString* customerMessageCode; 
@property(nonatomic, strong) NSString* customerMessage; 
@property(nonatomic) BOOL isQwantumCard; 
@property(nonatomic) BOOL isQwantumBuffer; 
@property(nonatomic) BOOL isCustomerMessage; 

@property(nonatomic, strong) NSString* encryptedSCDE; 
@property(nonatomic, strong) NSString* scdeDUKPTKeySerialNumber; 
@property(nonatomic, strong) NSString* scdeDUKPTKeyInfo; 

@property(nonatomic, strong) NSDictionary* allObjects; 
@property(nonatomic, strong) NSArray<NSString*>* objectArray; 

@end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/magnetic-stripe-readers/idynamo-5-gen-iii/documentation/developers-manuals/mtscra-interfaces.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
